import type { BuilderContextInterface, RegisteredComponent, RegisteredComponents } from '../../context/types';
import type { BuilderBlock } from '../../types/builder-block';
import type { RepeatData } from './types';
export declare const getComponent: ({ block, context, registeredComponents }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
    registeredComponents: RegisteredComponents;
}) => RegisteredComponent | null | undefined;
export declare const getRepeatItemData: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => RepeatData[] | undefined;
export declare const getInheritedStyles: ({ block, context }: {
    block: BuilderBlock;
    context: BuilderContextInterface;
}) => Partial<CSSStyleDeclaration>;
export declare const shouldPassLinkComponent: (block: RegisteredComponent | null | undefined) => boolean | null | undefined;
export declare const shouldPassRegisteredComponents: (block: RegisteredComponent | null | undefined) => boolean | null | undefined;
